> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Calls

> Download call records for a campaign as an exported file.

Use the request body to filter which calls to include:
- **start** / **end**: Date range filter.
- **status**: Filter by call status.
- **callIds**: Download only the specified call record IDs.
- **search**: Filter by search term.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/sms/api.json post /campaigns/v1/campaigns/{config_id}/calls/download
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /campaigns/v1/campaigns/{config_id}/calls/download:
    post:
      tags:
        - Campaigns Calls
        - Campaign Calls
      summary: Download Calls
      description: |-
        Download call records for a campaign as an exported file.

        Use the request body to filter which calls to include:
        - **start** / **end**: Date range filter.
        - **status**: Filter by call status.
        - **callIds**: Download only the specified call record IDs.
        - **search**: Filter by search term.
      operationId: >-
        campaigns_service_download_calls_route_v1_campaigns__config_id__calls_download_post
      parameters:
        - name: config_id
          in: path
          required: true
          schema:
            $ref: 6a71e6ae-6ae4-4d39-9f12-ecc574943166
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: e1be975c-4d5f-42a4-844b-de03167ba466
      responses:
        '200':
          description: Call records matching the filter criteria
          content:
            application/json:
              schema:
                $ref: 6a07be5b-fcd0-4423-9682-a962eb0778ee
        '400':
          description: Bad request — invalid input or constraint violation
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '404':
          description: Requested resource not found
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: 61188eef-82a8-4002-94b5-80ed8ff45c7a
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````